Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.exceptions
Class WidgetFailure

    java.lang.Object
      org.jboss.portal.widget.exceptions.WidgetFailure

All Implemented Interfaces:
  Widget

    public class WidgetFailure

extends java.lang.Object
implements Widget

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`WidgetFailure(java.net.URL url, java.lang.Exception e)`

Method Summary
`java.lang.Throwable` | `getCause()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`java.lang.String` | `getId()`
`java.lang.String` | `getLocalizedErrorMessage(java.util.Locale locale)`
`java.lang.String` | `getMessage()`
`org.jboss.portal.common.i18n.LocalizedString` | `getTitle()`
`java.lang.String` | `render(java.util.Map parameters)`
`java.lang.String` | `render(java.util.Map parameters, java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetFailure

    public WidgetFailure(java.net.URL url,
                         java.lang.Exception e)

Method Detail

### getMessage

    public java.lang.String getMessage()

### getCause

    public java.lang.Throwable getCause()

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `Widget`

### render

    public java.lang.String render(java.util.Map parameters)

  Specified by:
    `render` in interface `Widget`

### render

    public java.lang.String render(java.util.Map parameters,
                                   java.util.Locale locale)

  Specified by:
    `render` in interface `Widget`

### getLocalizedErrorMessage

    public java.lang.String getLocalizedErrorMessage(java.util.Locale locale)

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Specified by:
    `getDescription` in interface `Widget`

### getTitle

    public org.jboss.portal.common.i18n.LocalizedString getTitle()

  Specified by:
    `getTitle` in interface `Widget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD